/**
 *  Bitloops Language
 *  Copyright (C) 2022 Bitloops S.A.
 *
 *  This program is free software: you can redistribute it and/or modify
 *  it under the terms of the GNU General Public License as published by
 *  the Free Software Foundation, either version 3 of the License, or
 *  (at your option) any later version.
 *
 *  This program is distributed in the hope that it will be useful,
 *  but WITHOUT ANY WARRANTY; without even the implied warranty of
 *  MERCHANTABILITY or FITNESS FOR A PARTICULAR PURPOSE.  See the
 *  GNU General Public License for more details.
 *
 *  You should have received a copy of the GNU General Public License
 *  along with this program.  If not, see <https://www.gnu.org/licenses/>.
 *
 *  For further information you can contact legal(at)bitloops.com.
 */
// Needed to check type on runtime, otherwise simple literal gets thrown away.
export const bitloopsPrimitives = [
    'double',
    'float',
    'int32',
    'int64',
    'uint32',
    'uint64',
    'sint32',
    'sint64',
    'fixed32',
    'fixed64',
    'sfixed32',
    'sfixed64',
    'bool',
    'string',
    'backTickString',
    'bytes',
    'enum',
    'Timestamp',
    'Any',
    'Struct',
    'Map',
    'NullValue',
    'Duration',
    'regex',
    'void',
];
export const BitloopsBuiltInClassNames = {
    UUIDv4: 'UUIDv4',
};
export const bitloopsBuiltInClasses = [BitloopsBuiltInClassNames.UUIDv4];
export const returnOKKey = 'returnOK';
export const repoSupportedTypes = ['DB.Postgres', 'DB.MySQL', 'DB.SQLite', 'DB.Mongo'];
export var ControllerTypeOfDefinition;
(function (ControllerTypeOfDefinition) {
    ControllerTypeOfDefinition["REST"] = "rest";
    ControllerTypeOfDefinition["GRAPHQL"] = "graphql";
})(ControllerTypeOfDefinition = ControllerTypeOfDefinition || (ControllerTypeOfDefinition = {}));
//# sourceMappingURL=types.js.map